View Issue Details

IDProjectCategoryView StatusLast Update
0003752SymmetricDSBugpublic2018-10-31 14:59
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.12 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003752: Create tables fails if there is a foreign key with multiple referenced columns
DescriptionAs a result of issue 3689 to eliminate foreign keys on table creation if the column was excluded from sync, any foreign keys with multiple column references were added twice to the table xml sent to the client. This resulted in the creation of the table to fail.

Relationships

has duplicate 0003750 closedjosh-a-hicks Create Table fails with foreign key constraints with more than one column in H2 and Postgres 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 eddd8474

2018-10-11 10:31:10

josh-a-hicks

Details Diff
0003752: Create tables fails if there is a foreign key with multiple
referenced columns

0003752
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

Issue History

Date Modified Username Field Change
2018-10-11 10:30 josh-a-hicks New Issue
2018-10-11 10:30 josh-a-hicks Status new => assigned
2018-10-11 10:30 josh-a-hicks Assigned To => josh-a-hicks
2018-10-11 10:30 josh-a-hicks Status assigned => resolved
2018-10-11 10:30 josh-a-hicks Resolution open => fixed
2018-10-11 10:30 josh-a-hicks Fixed in Version => 3.9.15
2018-10-11 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 eddd8474
2018-10-12 16:05 josh-a-hicks Relationship added has duplicate 0003750
2018-10-31 14:59 mmichalek Status resolved => closed